# https://wiki.hyprland.org/Hypr-Ecosystem/hypridle/#configuration

general {
    lock_cmd = pidof hyprlock || hyprlock       # avoid starting multiple hyprlock instances.
}

listener {
    timeout = 7200
    on-timeout = loginctl lock-session
}

listener {
    timeout = 300
    on-timeout = hyprctl dispatch dpms off        # screen off when timeout has passed
    on-resume = hyprctl dispatch dpms on          # screen on when activity is detected after timeout has fired.
}
